aagc.vo

## Class DatiSceltaMedico

- java.lang.Object
- - aagc.vo.DatiSceltaMedico

-     public class DatiSceltaMedico
      extends java.lang.Object

  Dati relativi ad un periodo di scelta da parte dell'assistito di un medico di base.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `codiceMedico` Codice regionale del medico di base, elemento facoltativo.
    `(package private) java.lang.String` | `codMotivoFineScelta` Codice che identifica l'eventuale motivo di fine scelta, elemento facoltativo.
    `(package private) java.lang.String` | `codMotivoInizioScelta` Codice che identifica il motivo di scelta del medico, elemento facoltativo.
    `(package private) java.lang.String` | `cognomeMedico` Cognome del medico scelto, elemento facoltativo.
    `(package private) java.lang.String` | `dataFineScelta` Eventuale data di fine scelta, elemento facoltativo.
    `(package private) java.lang.String` | `dataInizioScelta` Data di scelta del medico, elemento facoltativo.
    `(package private) java.lang.String` | `descrizioneMotivoFineScelta` Decodifica dell'eventuale motivo di fine scelta, elemento facoltativo.
    `(package private) java.lang.String` | `descrizioneMotivoInizioScelta` Decodifica del motivo di scelta del medico, elemento facoltativo.
    `(package private) java.lang.String` | `nomeMedico` Nome del medico scelto, elemento facoltativo.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatiSceltaMedico()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceMedico()`
    `java.lang.String` | `getCodMotivoFineScelta()`
    `java.lang.String` | `getCodMotivoInizioScelta()`
    `java.lang.String` | `getCognomeMedico()`
    `java.lang.String` | `getDataFineScelta()`
    `java.lang.String` | `getDataInizioScelta()`
    `java.lang.String` | `getDescrizioneMotivoFineScelta()`
    `java.lang.String` | `getDescrizioneMotivoInizioScelta()`
    `java.lang.String` | `getNomeMedico()`
    `void` | `setCodiceMedico(java.lang.String codiceMedico)`
    `void` | `setCodMotivoFineScelta(java.lang.String codMotivoFineScelta)`
    `void` | `setCodMotivoInizioScelta(java.lang.String codMotivoInizioScelta)`
    `void` | `setCognomeMedico(java.lang.String cognomeMedico)`
    `void` | `setDataFineScelta(java.lang.String dataFineScelta)`
    `void` | `setDataInizioScelta(java.lang.String dataInizioScelta)`
    `void` | `setDescrizioneMotivoFineScelta(java.lang.String descrizioneMotivoFineScelta)`
    `void` | `setDescrizioneMotivoInizioScelta(java.lang.String descrizioneMotivoInizioScelta)`
    `void` | `setNomeMedico(java.lang.String nomeMedico)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codiceMedico

          java.lang.String codiceMedico

      Codice regionale del medico di base, elemento facoltativo. Il valore atteso è un numerico di lunghezza massima 6.

    - #### codMotivoFineScelta

          java.lang.String codMotivoFineScelta

      Codice che identifica l'eventuale motivo di fine scelta, elemento facoltativo.

    - #### codMotivoInizioScelta

          java.lang.String codMotivoInizioScelta

      Codice che identifica il motivo di scelta del medico, elemento facoltativo.

    - #### descrizioneMotivoFineScelta

          java.lang.String descrizioneMotivoFineScelta

      Decodifica dell'eventuale motivo di fine scelta, elemento facoltativo.

    - #### descrizioneMotivoInizioScelta

          java.lang.String descrizioneMotivoInizioScelta

      Decodifica del motivo di scelta del medico, elemento facoltativo.

    - #### nomeMedico

          java.lang.String nomeMedico

      Nome del medico scelto, elemento facoltativo.

    - #### cognomeMedico

          java.lang.String cognomeMedico

      Cognome del medico scelto, elemento facoltativo.

    - #### dataFineScelta

          java.lang.String dataFineScelta

      Eventuale data di fine scelta, elemento facoltativo.

    - #### dataInizioScelta

          java.lang.String dataInizioScelta

      Data di scelta del medico, elemento facoltativo.

  - ### Constructor Detail

    - #### DatiSceltaMedico

          public DatiSceltaMedico()

  - ### Method Detail

    - #### getCodMotivoFineScelta

          public java.lang.String getCodMotivoFineScelta()

    - #### setCodMotivoFineScelta

          public void setCodMotivoFineScelta(java.lang.String codMotivoFineScelta)

    - #### getCodMotivoInizioScelta

          public java.lang.String getCodMotivoInizioScelta()

    - #### setCodMotivoInizioScelta

          public void setCodMotivoInizioScelta(java.lang.String codMotivoInizioScelta)

    - #### getCodiceMedico

          public java.lang.String getCodiceMedico()

    - #### setCodiceMedico

          public void setCodiceMedico(java.lang.String codiceMedico)

    - #### getCognomeMedico

          public java.lang.String getCognomeMedico()

    - #### setCognomeMedico

          public void setCognomeMedico(java.lang.String cognomeMedico)

    - #### getDataFineScelta

          public java.lang.String getDataFineScelta()

    - #### setDataFineScelta

          public void setDataFineScelta(java.lang.String dataFineScelta)

    - #### getDataInizioScelta

          public java.lang.String getDataInizioScelta()

    - #### setDataInizioScelta

          public void setDataInizioScelta(java.lang.String dataInizioScelta)

    - #### getDescrizioneMotivoFineScelta

          public java.lang.String getDescrizioneMotivoFineScelta()

    - #### setDescrizioneMotivoFineScelta

          public void setDescrizioneMotivoFineScelta(java.lang.String descrizioneMotivoFineScelta)

    - #### getDescrizioneMotivoInizioScelta

          public java.lang.String getDescrizioneMotivoInizioScelta()

    - #### setDescrizioneMotivoInizioScelta

          public void setDescrizioneMotivoInizioScelta(java.lang.String descrizioneMotivoInizioScelta)

    - #### getNomeMedico

          public java.lang.String getNomeMedico()

    - #### setNomeMedico

          public void setNomeMedico(java.lang.String nomeMedico)